\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,0) rectangle (-1.5,6);
\draw [line width=1.5pt](-2,5) arc(0:360:2cm and 0.5cm);
\draw [line width=1.5pt, mydashed](-2,1) arc(0:180:2cm and 0.5cm);
\draw [line width=1.5pt](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt] (-6,5)-- (-6,1);
\draw [line width=1.5pt] (-2,5)-- (-2,1);
\draw [line width=1.5pt,mydashed] (-4,5)-- (-4,1);
\draw [line width=1.5pt] (-4,5)-- (-2.986,4.562);
\draw [line width=1.5pt] (-2.986,4.562)-- (-2.986,0.564);
\draw [line width=1.5pt,mydashed] (-2.986,0.564)-- (-4,1);
\draw[color=black] (-3.75,5.25) node {$O$};
\draw[color=black] (-3.75,1.25) node {$H$};
\draw[color=black] (-2.75,0.4) node {$M$};
\end{tikzpicture}
\end{document}